# PCDestroy

Destroys PC context that was created with PCCreate().

### Synopsis

    #include "petscksp.h"
    PetscErrorCode PETSCKSP_DLLEXPORT PCDestroy(PC pc)

Collective on PC

### Input Parameter

pc -the preconditioner context

### Keywords

PC, destroy

### See Also

PCCreate(), PCSetUp()

Level:developer
Location:src/ksp/pc/interface/precon.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex21f.F.html
src/snes/examples/tutorials/ex33f.F.html